Get auto earn preferences
curl --request GET \
--url https://api.services.payward.com/v1/accounts/{account_id}/earn/auto \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/earn/auto"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/earn/auto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"staking": "enabled"
}
}Earn
Get auto earn preferences
Returns the current auto-earn preferences for the specified account.
A yield source key is only present in the response if the account is eligible for that yield source. Absent keys indicate ineligibility.
GET
/
v1
/
accounts
/
{account_id}
/
earn
/
auto
Get auto earn preferences
Authorizations
Your public API key. Identifies the partner making the request.
HMAC signature over the request, computed with your private key.
Monotonically increasing nonce included in the request signature.
Path Parameters
ID of the account to retrieve preferences for. Refers to one of the accounts held by the user the request is acting on behalf of.
Pattern:
^[A-Z0-9]{16}$Response
Successful response
Auto-earn preferences for the account.
Show child attributes
Show child attributes